package com.trainerplan.trainerplan;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

/**
 * Created by aitor on 2/12/16.
 */

public class CheckearConexion {
    private Context context;

    public CheckearConexion(Context context) {
        this.context = context;
    }

    public boolean isNetworkAvailable() {

        ConnectivityManager cm = (ConnectivityManager) context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo netInfo = cm.getActiveNetworkInfo();

        if (netInfo != null && netInfo.isConnected()) {
            return true;
        }
        return false;

    }
}