package com.trainerplan.trainerplan;

import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;

public class ListViewAdapterPlanesDiarios extends BaseAdapter {
    // Declare Variables
    Context context;
    ArrayList<Long> ids;
    ArrayList<String> fechas;
    ArrayList<String> entrenamientos;



    LayoutInflater inflater;

//this, ids, idplanes, titulo, fechas, tiempos, tipos

    public ListViewAdapterPlanesDiarios(Context context, ArrayList<Long> ids, ArrayList<String> fechas, ArrayList<String> entrenamientos) {
        this.context = context;
        this.ids = ids;
        this.fechas = fechas;
        this.entrenamientos = entrenamientos;
    }

    @Override
    public int getCount() {
        return fechas.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    public View getView(int position, View convertView, ViewGroup parent) {

        // Declare Variables
        TextView fecha,entrenamiento;
        ImageView imagenplan;

        //http://developer.android.com/intl/es/reference/android/view/LayoutInflater.html
        inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

        View itemView = inflater.inflate(R.layout.list_row_plandiario, parent, false);

        // Locate the TextViews in listview_item.xml
        fecha = (TextView) itemView.findViewById(R.id.fecha_row_plandiario);
        entrenamiento = (TextView) itemView.findViewById(R.id.entrenamiento_row_plandiario);

        imagenplan = (ImageView) itemView.findViewById(R.id.imagen_row_plandiario);




        // Capture position and set to the TextViews
        fecha.setText(fechas.get(position));
        entrenamiento.setText(entrenamientos.get(position));


        // Pongo la fecha actual de color gris oscuro
        String fechaactual []=fechas.get(position).split(" ");

        SimpleDateFormat formatofecha = new SimpleDateFormat("yyyy-MM-dd");
        String strfechahoy = formatofecha.format(new Date());
        Date fechahoy = null, fecha1 = null;
        try {
            fechahoy = formatofecha.parse(strfechahoy);
            fecha1 = formatofecha.parse(fechaactual[1]);
            if (fecha1.compareTo(fechahoy) == 0)
                itemView.setBackgroundColor(Color.GRAY);

        } catch (ParseException e) {
            e.printStackTrace();
        }


        ArrayList<Integer> imagenes= new ArrayList<Integer>() ;

        return itemView;
    }
}