package com.trainerplan.trainerplan;

import android.content.Context;
import android.graphics.Color;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.trainerplan.trainerplan.R;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;

public class ListViewAdapterPlanesSemanales extends BaseAdapter {
    // Declare Variables
    Context context;
    ArrayList<Long> ids;
    ArrayList<Integer> semanas;
    ArrayList<String> entrefechas;



    LayoutInflater inflater;

//Adaptador para cargar el listado

    public ListViewAdapterPlanesSemanales(Context context, ArrayList<Long> ids, ArrayList<Integer> semanas, ArrayList<String> entrefechas) {
        this.context = context;
        this.ids = ids;
        this.semanas = semanas;
        this.entrefechas = entrefechas;
    }

    @Override
    public int getCount() {
        return semanas.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    public View getView(int position, View convertView, ViewGroup parent) {

        // Declaramos variables Variables
        TextView semanaplan,fechasplan;

        inflater = (LayoutInflater) context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

        View itemView = inflater.inflate(R.layout.list_row_plansemanal, parent, false);

        semanaplan = (TextView) itemView.findViewById(R.id.semana_row_plansemanal);
        fechasplan = (TextView) itemView.findViewById(R.id.fechas_row_plansemanal);



        // Pongo la fecha actual de color gris oscuro

        String fechas []=entrefechas.get(position).split(" ");

        SimpleDateFormat formatofecha = new SimpleDateFormat("yyyy-MM-dd");
        String strfechahoy = formatofecha.format(new Date());
        Date fechahoy = null, fecha1 = null, fecha2=null;
        try {
            fechahoy = formatofecha.parse(strfechahoy);
            fecha1 = formatofecha.parse(fechas[1]);
            fecha2 = formatofecha.parse(fechas[3]);
            if (fecha1.compareTo(fechahoy)<=0 && fechahoy.compareTo(fecha2)<=0)
                itemView.setBackgroundColor(Color.GRAY);


        } catch (ParseException e) {
            e.printStackTrace();
        }





        // Capture position and set to the TextViews
        semanaplan.setText(context.getString(R.string.semana)+ " " + semanas.get(position));
        fechasplan.setText(entrefechas.get(position));
        ArrayList<Integer> imagenes= new ArrayList<Integer>() ;


        return itemView;
    }
}