package com.trainerplan.trainerplan.modelo;

import com.orm.SugarRecord;
import com.trainerplan.trainerplan.modelo.Entrenamientos;

import java.util.List;

/**
 * Created by aitor on 8/12/16.
 */

public class PlanesEntrenamiento extends SugarRecord {
    int idplan;
    String nombreplan;
    String fecha;
    int tipo;
    String tiempoobjetivo;
    String lang;

    public PlanesEntrenamiento () {

    }
    public PlanesEntrenamiento(int idplan, String nombreplan, String fecha, String tiempoobjetivo, int tipo, String lang) {
        this.idplan = idplan;
        this.nombreplan = nombreplan;
        this.fecha = fecha;
        this.tiempoobjetivo = tiempoobjetivo;
        this.tipo = tipo;
        this.lang = lang;

    }


    public void ModificarPlanEntrenamiento(int idplan, String nombreplan, String fecha, String tiempoobjetivo, int tipo, String lang) {
        PlanesEntrenamiento plan = PlanesEntrenamiento.findById(PlanesEntrenamiento.class, idplan);
        plan.nombreplan = nombreplan;
        plan.fecha = fecha;
        plan.tiempoobjetivo = tiempoobjetivo;
        plan.tipo = tipo;
        plan.lang = lang;
        plan.save();

    }



    public int getTipo() {
        return tipo;
    }

    public void setTipo(int tipo) {
        this.tipo = tipo;
    }

    public int getIdplan() {
        return idplan;
    }

    public void setIdplan(int idplan) {
        this.idplan = idplan;
    }

    public String getNombreplan() {
        return nombreplan;
    }

    public void setLang(String lang) {
        this.lang = lang;
    }

    public String getLang() {
        return lang;
    }

    public void setNombreplan(String nombreplan) {
        this.nombreplan = nombreplan;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getTiempoobjetivo() {
        return tiempoobjetivo;
    }

    public void setTiempoobjetivo(String tiempoobjetivo) {
        this.tiempoobjetivo = tiempoobjetivo;
    }

    public List<Entrenamientos> getEntrenamientosemanal() {
        return Entrenamientos.find(Entrenamientos.class, "plan = ? ", String.valueOf(getId()));
    }

}
